<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_admin_users_library_manager_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AdminUsersLibraryManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_ADMINUSERSLIBRARYMANAGER_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_ADMINUSERSLIBRARYMANAGER_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &quot;../../../gui/dialogs/UserAdderDialog/UserAdderDialog.h&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;../../../gui/dialogs/UserEditorDialog/UserEditorDialog.h&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;../AdminLibraryManager/AdminLibraryManager.h&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;../../../models/People/User/User.h&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="class_admin_users_library_manager.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a> : <span class="keyword">public</span> <a class="code" href="class_admin_library_manager.html">AdminLibraryManager</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;Q_OBJECT</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="class_admin_users_library_manager.html#ae46c10ae7a89c79a4121db0e17573033">AdminUsersLibraryManager</a>(QWidget *parent = 0);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a6e84e1cce8f7e66bd610adfefba9737e">search</a>();</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a840999765e03c776542d26810fb9dce4">addItem</a>();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#ac241d538666eb9518efdc574ceb98d82">editItem</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#aecdc75b2c88c518d322859875159f7ff">removeItem</a>();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a2a7c5516b21ce114aab80e368fc9846d">sendEditUserRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin, QString password);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#af35dcd502d2f2bc79201c8441a601c15">getUserRequestResult</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a3dd572fcdf6f3fc779b408b536f4c94c">getSearchUserRequestResult</a>(std::vector&lt;User&gt; users);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a43347bf727ba1230ed52a96e3f0bddad">getRemoveUserFromLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;signals:</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#acdda0722f5574876dd1b95594589ca29">sendUserRequest</a>(QString username);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a95bf77f1f271264f4d9889200d91cd96">sendSearchUserRequest</a>(QString <span class="keywordtype">id</span>, QString name);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a5cf7536297c50dc0462aad73b2959527">sendAddUserToLibraryRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> makeAdmin);</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a86e86ab1471f38a1907dd69149c8706a">sendEditUserInLibraryRequest</a>(QString oldId, <a class="code" href="class_user.html">User</a> newUser, <span class="keywordtype">bool</span> isAdmin, QString newPassword);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#a7cfdef06fd1f3f129645c2df0f4aedec">sendRemoveUserFromLibraryRequest</a>(<a class="code" href="class_user.html">User</a> user);</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="comment">// results to dialogs</span></div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#aa37e06de4238dea20dfd2632726b8fdd">sendAddUserToLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_users_library_manager.html#aa84128ee88d2362df4df89d02a4b1311">sendEditUserInLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <a class="code" href="class_user_adder_dialog.html">UserAdderDialog</a> *addUserDialog;  <span class="comment">// dialog to add new user to library</span></div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <a class="code" href="class_user_editor_dialog.html">UserEditorDialog</a> *editUserDialog;  <span class="comment">// dialog to edit user</span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keywordtype">void</span> setupButtons();</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keywordtype">void</span> populateSearchBox(std::vector&lt;User&gt; users);</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    <a class="code" href="class_user.html">User</a> *getSelectedUser();</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="keywordtype">void</span> openAddUserDialog();</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    <span class="keywordtype">void</span> openEditUserDialog();</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    <span class="keywordtype">void</span> connectSignalsSlots();</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;};</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_ADMINUSERSLIBRARYMANAGER_H</span></div><div class="ttc" id="class_user_editor_dialog_html"><div class="ttname"><a href="class_user_editor_dialog.html">UserEditorDialog</a></div><div class="ttdef"><b>Definition:</b> UserEditorDialog.h:24</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_aa37e06de4238dea20dfd2632726b8fdd"><div class="ttname"><a href="class_admin_users_library_manager.html#aa37e06de4238dea20dfd2632726b8fdd">AdminUsersLibraryManager::sendAddUserToLibraryRequestResult</a></div><div class="ttdeci">void sendAddUserToLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_ac241d538666eb9518efdc574ceb98d82"><div class="ttname"><a href="class_admin_users_library_manager.html#ac241d538666eb9518efdc574ceb98d82">AdminUsersLibraryManager::editItem</a></div><div class="ttdeci">void editItem()</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:89</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_ae46c10ae7a89c79a4121db0e17573033"><div class="ttname"><a href="class_admin_users_library_manager.html#ae46c10ae7a89c79a4121db0e17573033">AdminUsersLibraryManager::AdminUsersLibraryManager</a></div><div class="ttdeci">AdminUsersLibraryManager(QWidget *parent=0)</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:23</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a3dd572fcdf6f3fc779b408b536f4c94c"><div class="ttname"><a href="class_admin_users_library_manager.html#a3dd572fcdf6f3fc779b408b536f4c94c">AdminUsersLibraryManager::getSearchUserRequestResult</a></div><div class="ttdeci">void getSearchUserRequestResult(std::vector&lt; User &gt; users)</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:110</div></div>
<div class="ttc" id="class_user_html"><div class="ttname"><a href="class_user.html">User</a></div><div class="ttdef"><b>Definition:</b> User.h:31</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a43347bf727ba1230ed52a96e3f0bddad"><div class="ttname"><a href="class_admin_users_library_manager.html#a43347bf727ba1230ed52a96e3f0bddad">AdminUsersLibraryManager::getRemoveUserFromLibraryRequestResult</a></div><div class="ttdeci">void getRemoveUserFromLibraryRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:126</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a5cf7536297c50dc0462aad73b2959527"><div class="ttname"><a href="class_admin_users_library_manager.html#a5cf7536297c50dc0462aad73b2959527">AdminUsersLibraryManager::sendAddUserToLibraryRequest</a></div><div class="ttdeci">void sendAddUserToLibraryRequest(User user, bool makeAdmin)</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a6e84e1cce8f7e66bd610adfefba9737e"><div class="ttname"><a href="class_admin_users_library_manager.html#a6e84e1cce8f7e66bd610adfefba9737e">AdminUsersLibraryManager::search</a></div><div class="ttdeci">void search()</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:81</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_aa84128ee88d2362df4df89d02a4b1311"><div class="ttname"><a href="class_admin_users_library_manager.html#aa84128ee88d2362df4df89d02a4b1311">AdminUsersLibraryManager::sendEditUserInLibraryRequestResult</a></div><div class="ttdeci">void sendEditUserInLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_admin_library_manager_html"><div class="ttname"><a href="class_admin_library_manager.html">AdminLibraryManager</a></div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.h:40</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a2a7c5516b21ce114aab80e368fc9846d"><div class="ttname"><a href="class_admin_users_library_manager.html#a2a7c5516b21ce114aab80e368fc9846d">AdminUsersLibraryManager::sendEditUserRequest</a></div><div class="ttdeci">void sendEditUserRequest(User user, bool isAdmin, QString password)</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:170</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a840999765e03c776542d26810fb9dce4"><div class="ttname"><a href="class_admin_users_library_manager.html#a840999765e03c776542d26810fb9dce4">AdminUsersLibraryManager::addItem</a></div><div class="ttdeci">void addItem()</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:85</div></div>
<div class="ttc" id="class_user_adder_dialog_html"><div class="ttname"><a href="class_user_adder_dialog.html">UserAdderDialog</a></div><div class="ttdef"><b>Definition:</b> UserAdderDialog.h:24</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_aecdc75b2c88c518d322859875159f7ff"><div class="ttname"><a href="class_admin_users_library_manager.html#aecdc75b2c88c518d322859875159f7ff">AdminUsersLibraryManager::removeItem</a></div><div class="ttdeci">void removeItem()</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:93</div></div>
<div class="ttc" id="class_admin_users_library_manager_html"><div class="ttname"><a href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.h:29</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a86e86ab1471f38a1907dd69149c8706a"><div class="ttname"><a href="class_admin_users_library_manager.html#a86e86ab1471f38a1907dd69149c8706a">AdminUsersLibraryManager::sendEditUserInLibraryRequest</a></div><div class="ttdeci">void sendEditUserInLibraryRequest(QString oldId, User newUser, bool isAdmin, QString newPassword)</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a7cfdef06fd1f3f129645c2df0f4aedec"><div class="ttname"><a href="class_admin_users_library_manager.html#a7cfdef06fd1f3f129645c2df0f4aedec">AdminUsersLibraryManager::sendRemoveUserFromLibraryRequest</a></div><div class="ttdeci">void sendRemoveUserFromLibraryRequest(User user)</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_af35dcd502d2f2bc79201c8441a601c15"><div class="ttname"><a href="class_admin_users_library_manager.html#af35dcd502d2f2bc79201c8441a601c15">AdminUsersLibraryManager::getUserRequestResult</a></div><div class="ttdeci">void getUserRequestResult(User user, bool isAdmin)</div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.cpp:177</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_a95bf77f1f271264f4d9889200d91cd96"><div class="ttname"><a href="class_admin_users_library_manager.html#a95bf77f1f271264f4d9889200d91cd96">AdminUsersLibraryManager::sendSearchUserRequest</a></div><div class="ttdeci">void sendSearchUserRequest(QString id, QString name)</div></div>
<div class="ttc" id="class_admin_users_library_manager_html_acdda0722f5574876dd1b95594589ca29"><div class="ttname"><a href="class_admin_users_library_manager.html#acdda0722f5574876dd1b95594589ca29">AdminUsersLibraryManager::sendUserRequest</a></div><div class="ttdeci">void sendUserRequest(QString username)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_3c1d2ce32bc4ecd50a176ae39486df30.html">widgets</a></li><li class="navelem"><a class="el" href="dir_8a5e938bbe21ee7dd8e974d8db388539.html">AdminUsersLibraryManager</a></li><li class="navelem"><b>AdminUsersLibraryManager.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
